/*
 * THInterpreter
 */

///////////////////////////////////
/////////// ⺻  /////////////
///////////////////////////////////
byte	NULL			= 0;
byte	TRUE			= 1;
byte	FALSE			= 0;

///////////////////////////////////
/////////// ڵ  /////////////
///////////////////////////////////
int32	HANDLE_TYPE_ERROR		= 0;
int32	HANDLE_TYPE_THIMAGE		= 1;
int32	HANDLE_TYPE_THCRYPT		= 2;
int32	HANDLE_TYPE_THCRYPT_ALG		= 3;
int32	HANDLE_TYPE_FILEIO		= 4;
int32	HANDLE_TYPE_FILEIO_DIR		= 5;
int32	HANDLE_TYPE_FILEIO_ENTRY	= 6;
int32	HANDLE_TYPE_POPEN		= 7;
int32	HANDLE_TYPE_PLUGIN		= 8;
int32	HANDLE_TYPE_FDSET		= 9;
int32	HANDLE_TYPE_FTPCLIENT		= 10;
int32	HANDLE_TYPE_HTTPCLIENT		= 11;
int32	HANDLE_TYPE_PATTERN		= 12;
int32	HANDLE_TYPE_THREAD		= 13;
int32	HANDLE_TYPE_ARCHIVE		= 14;
int32	HANDLE_TYPE_ARCHIVE_ENTRY	= 15;
int32	HANDLE_TYPE_ARCHIVE_FILE	= 16;

///////////////////////////////////
/////// Pattern   /////////
///////////////////////////////////
int32	PCRE_CASELESS		= 1;
int32	PCRE_MULTILINE		= 2;
int32	PCRE_DOTALL		= 4;
int32	PCRE_EXTENDED		= 8;
int32	PCRE_ANCHORED		= 16;
int32	PCRE_DOLLAR_ENDONLY	= 32;
int32	PCRE_EXTRA		= 64;
int32	PCRE_NOTBOL		= 128;
int32	PCRE_NOTEOL		= 256;
int32	PCRE_UNGREEDY		= 512;
int32	PCRE_NOTEMPTY		= 1024;
int32	PCRE_UTF8		= 2048;
int32	PCRE_UTF16		= 2048;
int32	PCRE_UTF32		= 2048;
int32	PCRE_NO_AUTO_CAPTURE	= 4096;
int32	PCRE_NO_UTF8_CHECK	= 8192;
int32	PCRE_NO_UTF16_CHECK	= 8192;
int32	PCRE_NO_UTF32_CHECK	= 8192;
int32	PCRE_AUTO_CALLOUT	= 16384;
int32	PCRE_PARTIAL_SOFT	= 32768;
int32	PCRE_PARTIAL		= 32768;
int32	PCRE_NEVER_UTF		= 65536;
int32	PCRE_DFA_SHORTEST	= 65536;
int32	PCRE_NO_AUTO_POSSESS	= 131072;
int32	PCRE_DFA_RESTART	= 131072;
int32	PCRE_FIRSTLINE		= 262144;
int32	PCRE_DUPNAMES		= 524288;
int32	PCRE_JAVASCRIPT_COMPAT	= 33554432;

///////////////////////////////////
//////// FileIO   /////////
///////////////////////////////////
int32	FILE_OPEN_READ		= 1;
int32	FILE_OPEN_WRITE		= 2;
int32	FILE_OPEN_RW		= 4;
int32	FILE_OPEN_CREATE	= 8;
int32	FILE_OPEN_APPEND	= 16;

int32	FILE_SEEK_SET		= 0;
int32	FILE_SEEK_CUR		= 1
int32	FILE_SEEK_END		= 2;

int32	FILE_TYPE_DIR		= 0;
int32	FILE_TYPE_FILE		= 1;
int32	FILE_TYPE_UNK		= 2;


///////////////////////////////////
////////    /////////
///////////////////////////////////
int32	MATH_EQUATION_ERROR	= 0;
int32	MATH_EQUATION_1		= 1;
int32	MATH_EQUATION_2		= 2;
int32	MATH_EQUATION_2_SAME_X	= 3;
int32	MATH_EQUATION_2_IMA_X	= 4;
int32	MATH_EQUATION_3_REAL	= 5;
int32	MATH_EQUATION_3_ABS	= 6;


///////////////////////////////////
/////// Ʈũ   ////////
///////////////////////////////////
int32	AF_UNIX			= 1;
int32	AF_LOCAL		= 1;
int32	AF_INET			= 2;
int32	AF_INET6		= 10;
int32	AF_PACKET		= 17;

int32	PF_UNIX			= AF_UNIX;
int32	PF_LOCAL		= AF_UNIX
int32	PF_INET			= AF_INET;
int32	PF_INET6		= AF_INET6;
int32	PF_PACKET		= AF_PACKET;

int32	SOCK_STREAM		= 1;
int32	SOCK_DGRAM		= 2;
int32	SOCK_RAW		= 3;
int32	SOCK_RDM		= 4;
int32	SOCK_SEQPACKET		= 5;
int32	SOCK_DCCP		= 6;
int32	SOCK_PACKET		= 10;

string INADDR_ANY		= "0.0.0.0";

int32	TH_HTTP_METHOD_GET	= 0;
int32	TH_HTTP_METHOD_POST	= 1;

///////////////////////////////////
//// Ʈ μ   //////
///////////////////////////////////
uint8 	TH_BITPROC_LSB		= 0;
uint8	TH_BITPROC_MSB		= 1;

///////////////////////////////////
//// ȣ μ   //////
///////////////////////////////////
uint32 TH_CRYPT_MODE_NONE	= 0;
uint32 TH_CRYPT_MODE_ECB	= 1;
uint32 TH_CRYPT_MODE_CFB	= 2;
uint32 TH_CRYPT_MODE_CBC	= 5;
uint32 TH_CRYPT_MODE_LRW	= 8;
uint32 TH_CRYPT_MODE_XTS	= 9;

uint32 TH_CRYPT_ALG_NONE	= 0;
uint32 TH_CRYPT_ALG_DES		= 1;
uint32 TH_CRYPT_ALG_RIJNDAEL	= 2;
uint32 TH_CRYPT_ALG_SHA1	= 3;
uint32 TH_CRYPT_ALG_RC4		= 4;
uint32 TH_CRYPT_ALG_MD5		= 5;
uint32 TH_CRYPT_ALG_AES		= 6;
uint32 TH_CRYPT_ALG_BASE64	= 7;
uint32 TH_CRYPT_ALG_RMD160	= 8;
uint32 TH_CRYPT_ALG_SHA2	= 9;
uint32 TH_CRYPT_ALG_SHA224	= 10;
uint32 TH_CRYPT_ALG_SHA256	= 11;
uint32 TH_CRYPT_ALG_SHA384	= 12;
uint32 TH_CRYPT_ALG_SHA512	= 13;
uint32 TH_CRYPT_ALG_LM		= 14;
uint32 TH_CRYPT_ALG_NTLM	= 15;
uint32 TH_CRYPT_ALG_CAST5	= 16;
uint32 TH_CRYPT_ALG_TWOFISH	= 17;
uint32 TH_CRYPT_ALG_BLOWFISH	= 18;
uint32 TH_CRYPT_ALG_SERPENT	= 19;
uint32 TH_CRYPT_ALG_WHIRLPOOL	= 20;
uint32 TH_CRYPT_ALG_MYSQL3	= 21;

uint32 TH_CRYPT_OPT_MODE	= 1;
uint32 TH_CRYPT_OPT_BLOCKSIZE	= 2;
uint32 TH_CRYPT_OPT_KEYSIZE	= 3;
uint32 TH_CRYPT_OPT_IV		= 4;
uint32 TH_CRYPT_OPT_INPUTSIZE	= 5;
uint32 TH_CRYPT_OPT_OUTPUTSIZE	= 6;

///////////////////////////////////
//// Ʈ μ   ////
///////////////////////////////////
int32	TH_ENCODING_TYPE_BINARY		= 1;
int32	TH_ENCODING_TYPE_UTF8		= 2;
int32	TH_ENCODING_TYPE_UTF16BE	= 4;
int32	TH_ENCODING_TYPE_UTF16LE	= 8;
int32	TH_ENCODING_TYPE_UTF32BE	= 16;
int32	TH_ENCODING_TYPE_UTF32LE	= 32;
int32	TH_ENCODING_TYPE_TEXT		= 64;
int32	TH_ENCODING_TYPE_HANGUL		= 128;
int32	TH_ENCODING_TYPE_NOT_UNICODE	= 256;

uint32	TH_URLENCODE_DEFAULT		= 0;
uint32	TH_URLENCODE_ASCII		= 1;
uint32	TH_URLENCODE_SPECIAL		= 2;
uint32	TH_URLENCODE_NUMBER		= 4;
uint32	TH_URLENCODE_HEIGHT		= 8;
uint32	TH_URLENCODE_ALL		= 512;


///////////////////////////////////
//// ̹ Ʈ   //////
///////////////////////////////////
int32	TH_IMAGE_TYPE_BMP		= 1;
int32	TH_IMAGE_TYPE_GIF		= 2;
int32	TH_IMAGE_TYPE_JPG		= 3;
int32	TH_IMAGE_TYPE_PNG		= 4;
int32	TH_IMAGE_TYPE_ICO		= 5;
int32	TH_IMAGE_TYPE_TIF		= 6;
int32	TH_IMAGE_TYPE_TGA		= 7;
int32	TH_IMAGE_TYPE_PCX		= 8;
int32	TH_IMAGE_TYPE_WBMP		= 9;
int32	TH_IMAGE_TYPE_WMF		= 10;
int32	TH_IMAGE_TYPE_JP2		= 11;
int32	TH_IMAGE_TYPE_JPC		= 12;
int32	TH_IMAGE_TYPE_PGX		= 13;
int32	TH_IMAGE_TYPE_PNM		= 14;
int32	TH_IMAGE_TYPE_RAS		= 15;
int32	TH_IMAGE_TYPE_JBG		= 16;
int32	TH_IMAGE_TYPE_MNG		= 17;
int32	TH_IMAGE_TYPE_SKA		= 18;
int32	TH_IMAGE_TYPE_RAW		= 19;
int32	TH_IMAGE_TYPE_PSD		= 20;

int32	TH_IMAGE_OVERFLOW_COLOR		= 1;
int32	TH_IMAGE_OVERFLOW_BACKGROUND	= 2;
int32	TH_IMAGE_OVERFLOW_TRANSPARENT	= 3;
int32	TH_IMAGE_OVERFLOW_WRAP		= 4;
int32	TH_IMAGE_OVERFLOW_REPEAT	= 5;
int32	TH_IMAGE_OVERFLOW_MIRROR	= 6;

int32	TH_IMAGE_INTERPOLATION_NEAREST	= 1;
int32	TH_IMAGE_INTERPOLATION_BILINEAR	= 2;
int32	TH_IMAGE_INTERPOLATION_BSPLINE	= 3;
int32	TH_IMAGE_INTERPOLATION_BICUBIC	= 4;
int32	TH_IMAGE_INTERPOLATION_BICUBIC2	= 5;
int32	TH_IMAGE_INTERPOLATION_LANCZOS	= 6;
int32	TH_IMAGE_INTERPOLATION_BOX	= 7;
int32	TH_IMAGE_INTERPOLATION_HERMITE	= 8;
int32	TH_IMAGE_INTERPOLATION_HAMMING	= 9;
int32	TH_IMAGE_INTERPOLATION_SINC	= 10;
int32	TH_IMAGE_INTERPOLATION_BLACKMAN	= 11;
int32	TH_IMAGE_INTERPOLATION_BESSEL	= 12;
int32	TH_IMAGE_INTERPOLATION_GAUSSIAN	= 13;
int32	TH_IMAGE_INTERPOLATION_QUADRATIC= 14;
int32	TH_IMAGE_INTERPOLATION_MITCHELL	= 15;
int32	TH_IMAGE_INTERPOLATION_CATROM	= 16;
int32	TH_IMAGE_INTERPOLATION_HANNING	= 17;
int32	TH_IMAGE_INTERPOLATION_POWER	= 18;

int32	TH_IMAGE_TRANS_ENHANCED_RGB_R	= 1;
int32	TH_IMAGE_TRANS_ENHANCED_RGB_G	= 2;
int32	TH_IMAGE_TRANS_ENHANCED_RGB_B	= 4;
int32	TH_IMAGE_TRANS_ENHANCED_RGB_A	= 8;
int32	TH_IMAGE_TRANS_EFFECTED_RGB_R	= 16;
int32	TH_IMAGE_TRANS_EFFECTED_RGB_G	= 32;
int32	TH_IMAGE_TRANS_EFFECTED_RGB_B	= 64;
int32	TH_IMAGE_TRANS_EFFECTED_RGB_A	= 128;

int32	TH_IMAGE_TRANS_HORZ		= 1;
int32	TH_IMAGE_TRANS_VERT		= 0;
int32	TH_IMAGE_TRANS_ALL		= 2;

///////////////////////////////////
// ArchiveManager class
///////////////////////////////////
int32	TH_ARCHIVE_MANAGER_OPEN_READ	= 1;
int32	TH_ARCHIVE_MANAGER_OPEN_CREATE  = 2;
int32	TH_ARCHIVE_MANAGER_OPEN_APPEND  = 4;

///////////////////////////////////
////      ¥       //////
///////////////////////////////////

string g_strGanji[] =
{
      "ˣ()", "()", "ܰ()", "()", "()", "()", "()", "ڱ(Ź)", "(ӽ)", "ͤ()", "ˣ()", "()",
      "ܰ()", "()", "()", "(⹦)", "()", "(Ż)", "(ӿ)", "ͤڱ()", "ˣ()", "()", "ܰ()", "()",
      "()", "()", "()", "(Ź)", "()", "ͤ()", "ˣ()", "ڱ()", "ܰ()", "()", "()", "()",
      "()", "()", "()", "ͤ(蹦)", "ˣ()", "()", "ܰ()", "ڱ()", "()", "()", "()", "()",
      "()", "ͤ()", "ˣ()", "()", "ܰ()", "()", "()", "ڱ()", "()", "()", "(Ӽ)", "ͤ()"
};

string g_strWeek[] =
{
      "", "", "ȭ", "", "", "", ""
};

string g_str24Name[] =
{
      "",	"",	"Ĩ",	"",	"û",	"",
      "",	"Ҹ",	"",	"",	"Ҽ",	"뼭",
      "",	"ó",	"",	"ߺ",	"ѷ",	"",
      "Ե",	"Ҽ",	"뼳",	"",	"",	"",	""
};

/* end of file.. */



